Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
StrNode Struct Reference

`#include <regparse.h>`

## Data Fields
NodeBase | base
UChar * | s
UChar * | end
unsigned int | flag
int | capa
UChar | buf [NODE_STR_BUF_SIZE]

## Detailed Description

Definition at line 170 of file regparse.h.

## Field Documentation

## ◆ base

NodeBase StrNode::base

Definition at line 171 of file regparse.h.

## ◆ buf

UChar StrNode::buf[NODE_STR_BUF_SIZE]

Definition at line 176 of file regparse.h.

## ◆ capa

int StrNode::capa

Definition at line 175 of file regparse.h.

## ◆ end

UChar* StrNode::end

Definition at line 173 of file regparse.h.

## ◆ flag

unsigned int StrNode::flag

Definition at line 174 of file regparse.h.

## ◆ s

UChar* StrNode::s

Definition at line 172 of file regparse.h.

The documentation for this struct was generated from the following file:

- regparse.h